Loading...
Searching...
No Matches
casacore::GNoiseParam< T > Class Template Reference
Functionals_module_internal_classes

More...

`#include <GNoiseParam.h>`

## Public Member Functions

| GNoiseParam ()
| Constructs the GNoise, Defaults: mean=0, var=1.0.
| GNoiseParam (const Double &mean, const Double &var)
| GNoiseParam (const GNoiseParam< T > &other)
| Copy constructor (deep copy).
GNoiseParam< T > & | operator= (const GNoiseParam< T > &other)
| Copy assignment (deep copy).
virtual | ~GNoiseParam ()
| Destructor.
virtual uInt | ndim () const
| Returns the number of dimensions of function.
virtual const String & | name () const
| Give name of function.
Public Member Functions inherited from casacore::Function< T, U >
| Function ()
| Constructors.
| Function (const uInt n)
| Function (const Vector< T > &in)
| Function (const FunctionParam< T > &other)
template<class W, class X>
| Function (const Function< W, X > &other)
virtual | ~Function ()
| Destructor.
uInt | nparameters () const
| Returns the number of parameters.
virtual U | eval (FunctionArg x) const =0
| Evaluate the function object.
T & | operator[] (const uInt n)
| Manipulate the nth parameter (0-based) with no index check.
const T & | operator[] (const uInt n) const
virtual U | operator() () const
| Evaluate this function object at xor at x, y.
virtual U | operator() (const ArgType &x) const
virtual U | operator() (const Vector< ArgType > &x) const
virtual U | operator() (FunctionArg x) const
virtual U | operator() (const ArgType &x, const ArgType &y) const
virtual U | operator() (const ArgType &x, const ArgType &y, const ArgType &z) const
Bool & | mask (const uInt n)
| Manipulate the mask associated with the nth parameter (e.g.
const Bool & | mask (const uInt n) const
const FunctionParam< T > & | parameters () const
| Return the parameter interface.
FunctionParam< T > & | parameters ()
const Vector< ArgType > & | argp () const
| Get arg_p and parset_p.
Bool | parsetp () const
void | lockParam ()
| Compiler cannot always find the correct 'const' version of parameter access.
void | unlockParam ()
virtual void | setMode (const RecordInterface &mode)
| get/set the function mode.
virtual void | getMode (RecordInterface &mode) const
virtual Bool | hasMode () const
| return True if the implementing function supports a mode.
ostream & | print (ostream &os) const
| Print the function (i.e.
virtual Function< T, U > * | clone () const =0
| Return a copy of this object from the heap.
virtual Function< typename FunctionTraits< T >::DiffType > * | cloneAD () const
virtual Function< typename FunctionTraits< T >::BaseType > * | cloneNonAD () const
Public Member Functions inherited from casacore::Functional< FunctionTraits< T >::ArgType, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const FunctionTraits< T >::ArgType &x) const=0
| Map a Domain x into a Range y value.
Public Member Functions inherited from casacore::Functional< Vector< FunctionTraits< T >::ArgType >, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const Vector< FunctionTraits< T >::ArgType > &x) const=0
| Map a Domain x into a Range y value.

## Protected Attributes

ACG | genit_p
| Random generator.
Normal | noise_p
| Normal noise.
Protected Attributes inherited from casacore::Function< T, U >
FunctionParam< T > | param_p
| The parameters and masks.
Vector< ArgType > | arg_p
| Aid for non-contiguous argument storage.
Bool | parset_p
| Indicate parameter written.
Bool | locked_p
| Indicate that parameters are expected to be locked from changing.

## Additional Inherited Members

Public Types inherited from casacore::Function< T, U >
typedef FunctionTraits< T >::ArgType | ArgType
typedef const ArgType * | FunctionArg

## Detailed Description

template<class T>
class casacore::GNoiseParam< T >

A one dimensional normal distribution

### Intended use:

Internal

### Review Status

Test programs:
  tFunctionHolder

### Prerequisite

- FunctionParam class
- Function class

### Etymology

Gaussian Noise generator.

### Synopsis

A GNoise is described by a mean and a variance (Note these are not parameters in the Function sense, but more like the order of a polynomial. The defaults are 0 and 1.

### Example

GNoiseFunction<Double> sf;
sf(); // = 0.12
casacore::GNoiseFunction
Definition GNoiseFunction.h:79

### Template Type Argument Requirements (T)

- T should have standard numerical operators

### Thrown Exceptions

- AipsError if incorrect parameter number specified.

Definition at line 78 of file GNoiseParam.h.

## Constructor & Destructor Documentation

## GNoiseParam() [1/3]

template<class T>

casacore::GNoiseParam< T >::GNoiseParam | ( |  | ) |

Constructs the GNoise, Defaults: mean=0, var=1.0.

Referenced by casacore::GNoiseFunction< T >::GNoiseFunction(), casacore::GNoiseFunction< T >::GNoiseFunction(), casacore::GNoiseFunction< T >::GNoiseFunction(), casacore::GNoiseFunction< T >::GNoiseFunction(), GNoiseParam(), and operator=().

## GNoiseParam() [2/3]

template<class T>

casacore::GNoiseParam< T >::GNoiseParam | ( | const Double & | mean,
|  | const Double & | var )

References casacore::mean().

## GNoiseParam() [3/3]

template<class T>

casacore::GNoiseParam< T >::GNoiseParam | ( | const GNoiseParam< T > & | other | ) |

Copy constructor (deep copy).

References GNoiseParam().

## ~GNoiseParam()

template<class T>

virtual casacore::GNoiseParam< T >::~GNoiseParam | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## name()

template<class T>

virtual const String & casacore::GNoiseParam< T >::name | ( |  | ) | const

inline virtual

Give name of function.

Reimplemented from casacore::Function< T, U >.

Definition at line 107 of file GNoiseParam.h.

## ndim()

template<class T>

virtual uInt casacore::GNoiseParam< T >::ndim | ( |  | ) | const

inline virtual

Returns the number of dimensions of function.

Implements casacore::Function< T, U >.

Definition at line 103 of file GNoiseParam.h.

## operator=()

template<class T>

GNoiseParam< T > & casacore::GNoiseParam< T >::operator= | ( | const GNoiseParam< T > & | other | ) |

Copy assignment (deep copy).

References GNoiseParam().

Referenced by casacore::GNoiseFunction< T >::operator=().

## Member Data Documentation

## genit_p

template<class T>

ACG casacore::GNoiseParam< T >::genit_p

protected

Random generator.

Definition at line 113 of file GNoiseParam.h.

## noise_p

template<class T>

Normal casacore::GNoiseParam< T >::noise_p

mutable protected

Normal noise.

Definition at line 115 of file GNoiseParam.h.

The documentation for this class was generated from the following file:

- scimath/Functionals/GNoiseParam.h